define(`format',``format'')
ifelse(OS,NetBSD,`define(`OS',`OpenBSD')')

WARN=#-Wall	# developers are welcomed to build with 'make WARN=-Wall'
CC=gcc
CFLAGS=$(WARN) -O2
CXX=g++
CXXFLAGS=$(WARN) -O2 -fno-exceptions

ifelse(OS,OpenBSD,
.SUFFIXES: .c .cpp .o

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<
.cpp.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<
.o:
	$(CXX) $(CXXFLAGS) -o $@ $> $(LDFLAGS)

install:
	install -o root -m 4755				\
		growisofs dvd+rw-format dvd+rw-booktype	\
		/usr/local/bin
)ifelse(OS,Linux,

LINK.o=$(LINK.cc)

install:
	cp -a growisofs dvd+rw-format dvd+rw-booktype /usr/local/bin
)

dvd+rw-tools:		growisofs dvd+rw-format dvd+rw-booktype

growisofs:		growisofs_mmc.o growisofs.o
growisofs.o:		growisofs.c
growisofs_mmc.o:	growisofs_mmc.cpp transport.hxx

dvd+rw-format:		dvd+rw-format.o
dvd+rw-format.o:	dvd+rw-format.cpp transport.hxx

dvd+rw-booktype:	dvd+rw-booktype.o
dvd+rw-booktype.o:	dvd+rw-booktype.cpp transport.hxx

rpl8:			rpl8.o
rpl8.o:			rpl8.cpp transport.hxx
+rpl8:			rpl8
#so that I can invoke 'make +rpl8' to build rpl8...
